--Handle abbreviations here
local Abbrev={}
Relog.Abbrev=Abbrev

function Abbrev:GetAbbrev(word)
	if Relog.db.char.Abbrev[word] then
		return Relog.db.char.Abbrev[word]
	end

	local num=#Relog.db.char.RAbbrev+1

	Relog.db.char.Abbrev[word]=num
	Relog.db.char.RAbbrev[num]=word
	return num
end

function Abbrev:GetWord(abbrev)
	return Relog.db.char.RAbbrev[abbrev]
end

function Abbrev:RemoveAbbrev(abbrev)
	local word=Relog.db.char.RAbbrev[abbrev]
	
	Relog.db.char.Abbrev[word]=nil
	Relog.db.char.RAbbrev[abbrev]=nil
end